Bug 63513 - ports/devel/autogen - fix fetch, PGPify
Summary: ports/devel/autogen - fix fetch, PGPify
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-28 21:40 UTC by jharris
Modified: 2004-02-29 21:05 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2004-02-28 21:40:09 UTC
	the distfile is in ./rel5.6 on MASTER_SITE_GNU, unbreak these fetches

	PGPify (particularly important for MAINTAINERless ports)

	MASTER_SITE_SOURCEFORGE doesn't have the PGP signature and doesn't
	(currently) significantly enhance redundancy, so remove it

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iD8DBQFAQQJMSypIl9OdoOMRAiMqAJsHkTa4tAghNmWoHByEEIUkJzy1KQCgz5MI
cJ1sSAgvCR3hvhsV8Xsefog=
=m0rK
-----END PGP SIGNATURE-------VJC7q200RXb81ZI5pjIbgucAS2q5PrtO1d85GemSMOHB2DtM
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/autogen/Makefile,v
retrieving revision 1.36
diff -u -r1.36 Makefile
--- Makefile	28 Feb 2004 19:41:47 -0000	1.36
+++ Makefile	28 Feb 2004 21:03:26 -0000
@@ -9,15 +9,18 @@
 PORTNAME=	autogen
 PORTVERSION=	5.6.0
 CATEGORIES=	devel
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
-		${MASTER_SITE_GNU}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	${MASTER_SITE_GNU}
+MASTER_SITE_SUBDIR=	${PORTNAME}/rel5.6
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX} ${DISTNAME}${EXTRACT_SUFX}.sig
+EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	The Automated Program Generator
 
 LIB_DEPENDS=	guile.15:${PORTSDIR}/lang/guile
 
+USE_GPG?=	yes
+SIG_FILES=	${DISTNAME}${EXTRACT_SUFX}.sig
 USE_GNOME=	gnometarget libxml2
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/devel/autogen/distinfo,v
retrieving revision 1.26
diff -u -r1.26 distinfo
--- distinfo	28 Feb 2004 19:41:47 -0000	1.26
+++ distinfo	28 Feb 2004 21:03:26 -0000
@@ -1,2 +1,3 @@
 MD5 (autogen-5.6.0.tar.gz) = f51270dd7f710a21797b60eb402f89b9
 SIZE (autogen-5.6.0.tar.gz) = 1091327
+MD5 (autogen-5.6.0.tar.gz.sig) = 06e8d30649df49a97c464a9b0e5807ed
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Kirill Ponomarev freebsd_committer 2004-02-28 22:36:40 UTC
State Changed
From-To: open->suspended

Mark suspended until portmgr approves USE_PGP[GPG] knobs.
Comment 2 Oliver Eikemeier freebsd_committer 2004-02-29 21:04:49 UTC
State Changed
From-To: suspended->closed

Committed, thanks! 

Considering the PGP checksum please refer to my feedback to PR 63546.